#!/bin/sh

ORA_CRS_HOME=/nfs4/oracle/product/11.1.0/crs
SRVCTL=$ORA_CRS_HOME/bin/srvctl
LOG=$ORA_CRS_HOME/log/rebalancer.log

EVENTTYPE=$1
 
for ARGS in $* ; do 
  PROPERTY=`echo $ARGS | awk -F"=" '{print $1}'` 
  VALUE=`echo $ARGS | awk -F"=" '{print $2}'` 
  case $PROPERTY in 
    VERSION|version) VERSION=$VALUE ;; 
    SERVICE|service) SERVICE=$VALUE ;; 
    DATABASE|database) DATABASE=$VALUE ;; 
    INSTANCE|instance) INSTANCE=$VALUE ;; 
    HOST|host) HOST=$VALUE ;; 
    STATUS|status) STATUS=$VALUE ;; 
    REASON|reason) REASON=$VALUE ;; 
    CARD|card) CARDINALITY=$VALUE ;; 
    TIMESTAMP|timestamp) LOGDATE=$VALUE ;;
    ??:??:??) LOGTIME=$PROPERTY ;;
  esac 
done 

if [ "$EVENTTYPE" = "SERVICEMEMBER" ] &&
   ([ "$SERVICE" = "new_ord" ] || [ "$SERVICE" = "content" ]) &&
   [ "$DATABASE" = "g5" ] &&
   [ "$INSTANCE" = "g53" ] &&
   [ "$STATUS" = "up" ] &&
   [ "$REASON" = "failure" ] ; then

 echo "`hostname` `date`: Service $SERVICE is up on instance $INSTANCE due to a failure. Stopping proc_ord and batch services..." >> $LOG

 echo "$SRVCTL stop service -d $DATABASE -i $INSTANCE -s proc_ord" >> $LOG
 $SRVCTL stop service -d $DATABASE -i $INSTANCE -s proc_ord >> $LOG 2>&1

 echo "$SRVCTL stop service -d $DATABASE -i $INSTANCE -s batch" >> $LOG
 $SRVCTL stop service -d $DATABASE -i $INSTANCE -s batch >> $LOG 2>&1

 echo "$SRVCTL status service -d $DATABASE" >> $LOG 
 $SRVCTL status service -d $DATABASE >> $LOG 2>&1

fi
